Package org.apache.ignite.internal.cache.query.index.sorted

## Class IndexPlainRowImpl

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexPlainRowImpl

All Implemented Interfaces:
  `IndexRow`

    public class IndexPlainRowImpl
    extends Object
    implements IndexRow

Represents a plain row (not bounded to cache data row) that used to find a place in a tree.

### Constructor Summary

Constructors
`IndexPlainRowImpl​(IndexKey[] idxKeys, InlineIndexRowHandler rowHnd)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheDataRow` `cacheDataRow()`
`boolean` `indexPlainRow()`
`IndexKey` `key​(int idx)`
`int` `keysCount()`
`long` `link()`
`InlineIndexRowHandler` `rowHandler()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexPlainRowImpl

    public IndexPlainRowImpl​(IndexKey[] idxKeys,
                             InlineIndexRowHandler rowHnd)

Constructor.

### Method Detail

#### key

    public IndexKey key​(int idx)

Specified by:
  `key` in interface `IndexRow`
Parameters:
  `idx` - Index of a key.
Returns:
  Underlying key by specified index.

#### keysCount

    public int keysCount()

Specified by:
  `keysCount` in interface `IndexRow`
Returns:
  Keys count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### link

    public long link()

Specified by:
  `link` in interface `IndexRow`
Returns:
  Link to a cache row.

#### rowHandler

    public InlineIndexRowHandler rowHandler()

Specified by:
  `rowHandler` in interface `IndexRow`
Returns:
  Schema of an index.

#### cacheDataRow

    public CacheDataRow cacheDataRow()

Specified by:
  `cacheDataRow` in interface `IndexRow`
Returns:
  Cache row.

#### indexPlainRow

    public boolean indexPlainRow()

Specified by:
  `indexPlainRow` in interface `IndexRow`
Returns:
  `True` for rows used for index search (as opposed to rows stored in `InlineIndexTree`.